Skip to main content
GET
/
agents
/
{agent_id}
Get Agent
curl --request GET \
  --url https://api.cartesia.ai/agents/{agent_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Cartesia-Version: <cartesia-version>'
{
  "id": "<string>",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "tts_voice": "<string>",
  "tts_language": "<string>",
  "has_text_to_agent_run": true,
  "deployment_count": 123,
  "description": "<string>",
  "webhook_id": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z",
  "git_repository": {
    "provider": "<string>",
    "account": "<string>",
    "name": "<string>"
  },
  "git_deploy_branch": "<string>",
  "phone_numbers": [
    {
      "id": "<string>",
      "number": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Cartesia API key

Headers

Cartesia-Version
enum<string>
required

API version header. Must be set to the API version, e.g. '2024-06-10'.

Available options:
2024-06-10,
2024-11-13,
2025-04-16
Example:

"2025-04-16"

Path Parameters

agent_id
string
required

The ID of the agent.

Response

200 - application/json

A summary of essential information about an agent.

id
string
required

The ID of the agent.

name
string
required

The unique name of the agent, which can be used to identify the agent in the CLI.

created_at
string<date-time>
required

The date and time when the agent was created.

updated_at
string<date-time>
required

The date and time when the agent was last updated.

tts_voice
string
required

The text-to-speech voice used by the agent.

tts_language
string
required

The language used for text-to-speech by the agent.

has_text_to_agent_run
boolean
required

Whether the agent has a text-to-agent run.

deployment_count
integer
required

The number of deployments associated with the agent.

description
string | null

A brief description of the agent.

webhook_id
string | null

The identifier for the webhook associated with the agent. Add or customize a webhook to your agent to receive events when calls are made to your agent via the Playground.

deleted_at
string<date-time> | null

The date and time when the agent was deleted, if applicable.

git_repository
GitRepository · object

The Git repository associated with the agent.

git_deploy_branch
string | null

The branch of the Git repository used for deployment.

phone_numbers
PhoneNumberSummary · object[] | null

The phone numbers associated with the agent. Currently, you can only have one phone number per agent.